Package org.eclipse.microprofile.rest.client.tck.interfaces

# Interface StringClient

All Known Subinterfaces:
  `CDIQueryParamStyleTest.ArrayPairsStringClient`, `CDIQueryParamStyleTest.CommaSeparatedStringClient`, `CDIQueryParamStyleTest.DefaultStringClient`, `CDIQueryParamStyleTest.MultiPairsStringClient`

@Path("/") @RegisterRestClient public interface StringClient

## Method Summary

Modifier and Type
Method
Description
`String`
`getHeaderValue(String headerName)`
`String`
`multiValues(List<String> values)`

## Method Details

### getHeaderValue

@PUT String getHeaderValue(String headerName)

### multiValues

@GET String multiValues(@QueryParam("myParam") List<String> values)